class CreateMenuItemLinkContents < ActiveRecord::Migration[6.0]
  def change
    create_table :menu_item_link_contents do |t|
      t.references :menu_item, index: true
      t.references :image_file, index: true
      t.string :title
      t.text :description
      t.string :url
      t.boolean :popup
      t.string :style
      t.string :block_type
      t.integer :cible_id
      t.string :cible_type
      t.decimal :proportion, :precision => 15, :scale => 10
      t.integer :level
      
      
      t.timestamps null: false
    end
    
  end
end
